Bug 1732036 (CVE-2019-2834) - CVE-2019-2834 mysql: Server: Optimizer unspecified vulnerability (CPU Jul 2019)
Summary: CVE-2019-2834 mysql: Server: Optimizer unspecified vulnerability (CPU Jul 2019)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-2834
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1733486 1732042 1732043 1732044 1733485
Blocks: 1732048
TreeView+ depends on / blocked
 
Reported: 2019-07-22 14:07 UTC by Marian Rehak
Modified: 2019-09-29 15:17 UTC (History)
21 users (show)

Fixed In Version: mysql 8.0.17
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-14 08:50:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2518 None None None 2019-08-19 08:20:51 UTC
Red Hat Product Errata RHSA-2019:2484 None None None 2019-08-14 07:01:15 UTC
Red Hat Product Errata RHSA-2019:2511 None None None 2019-08-15 17:48:31 UTC

Description Marian Rehak 2019-07-22 14:07:12 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: Optimizer). Supported versions that are affected are 8.0.16 and prior. Easily exploitable vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server.

External References:

http://www.oracle.com/technetwork/security-advisory/cpujul2019-5072835.html

Comment 1 Marian Rehak 2019-07-22 14:26:00 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1732044]

Comment 3 errata-xmlrpc 2019-08-14 07:01:14 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2019:2484 https://access.redhat.com/errata/RHSA-2019:2484

Comment 4 Product Security DevOps Team 2019-08-14 08:50:57 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-2834

Comment 5 errata-xmlrpc 2019-08-15 17:48:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2511 https://access.redhat.com/errata/RHSA-2019:2511


Note You need to log in before you can comment on or make changes to this bug.